Bug 250241 - Incorrect path listed in rpm info file related for mailman
Summary: Incorrect path listed in rpm info file related for mailman
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mailman (Show other bugs)
(Show other bugs)
Version: 4.5
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Daniel Novotny
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-31 11:09 UTC by Jan Lieskovsky
Modified: 2010-03-18 15:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-18 15:34:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2007-07-31 11:09:54 UTC
Description of problem:
After installing the mailman package and running: rpm -q -i mailman, one can
see: 

When the package has finished installing, you will need to:

* Run /var/mailman/bin/mmsitepass
to set the mailman administrator password.
. . .

So I tried: 

# /var/mailman/bin/mmsitepass
bash: /var/mailman/bin/mmsitepass: No such file or directory

# locate msitepass shows
/usr/lib/mailman/bin/mmsitepass

Similar holds for the /var/mailman/Mailman/mm_cfg.py file.

# /var/mailman/Mailman/mm_cfg.py
bash: /var/mailman/Mailman/mm_cfg.py: No such file or directory

# locate /mm_cfg.py  shows
/usr/lib/mailman/Mailman/mm_cfg.py
/usr/lib/mailman/Mailman/mm_cfg.pyc
/usr/lib/mailman/Mailman/mm_cfg.py.dist
/etc/mailman/mm_cfg.py

Version-Release number of selected component (if applicable):
mailman-2.1.5.1-34.rhel4.6.

How reproducible:
Always

Steps to Reproduce:
1. Try to run: # /var/mailman/bin/mmsitepass
2.
3.
  
Actual results:
-bash: /var/mailman/bin/mmsitepass: No such file or directory

Expected results:
Script for mailman administrator password setting should be launched.

Additional info:
The steps decribed in the info section of the rpm package should be
up2date and after their following the starting user (not aware of counfiguring
mailman yet), should be able at least at basic level configure the mailman
package. The provided information is otherwise worthless.

Please verify, that the mentioned steps are really working.

Comment 1 Jan Lieskovsky 2007-07-31 11:18:50 UTC
Point #4 in the same info rpm section:

* Add these lines:
ScriptAlias /mailman/ /var/mailman/cgi-bin/
Alias /pipermail/ /var/mailman/archives/public/
<Directory /var/mailman/archives>
Options +FollowSymlinks
</Directory>

But there is no /var/mailman/cgi-bin directory. Was
moved to:

locate mailman/cgi-bin/
/usr/lib/mailman/cgi-bin/private
/usr/lib/mailman/cgi-bin/listinfo
/usr/lib/mailman/cgi-bin/subscribe
/usr/lib/mailman/cgi-bin/confirm
/usr/lib/mailman/cgi-bin/admin
/usr/lib/mailman/cgi-bin/options
/usr/lib/mailman/cgi-bin/roster
/usr/lib/mailman/cgi-bin/edithtml
/usr/lib/mailman/cgi-bin/admindb
/usr/lib/mailman/cgi-bin/create
/usr/lib/mailman/cgi-bin/rmlist



Comment 2 Tomas Smetana 2007-08-01 12:59:44 UTC
This "documentation part" was removed in the newer versions: RPM description is
not a good place to provide installation instructions.

Comment 3 RHEL Product and Program Management 2008-02-01 19:04:29 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 4 RHEL Product and Program Management 2008-10-31 16:38:08 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 5 Daniel Novotny 2010-03-18 15:34:09 UTC
4.9 is the last regular update of RHEL4 and it should be minimal. Closing this
bug, as this works correctly in RHEL5.


Note You need to log in before you can comment on or make changes to this bug.